petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetSolutionUpdate

Returns the vector where the solution update is stored.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetSolutionUpdate(SNES snes,Vec *x)

Not Collective, but Vec is parallel if SNES is parallel Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

x -the solution update Many br

Many br

### Keywords

SNES, nonlinear, get, solution, update

### See Also

SNESGetSolution(), SNESGetFunction()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages